1. c3poman's Avatar
    Got my fire today like a million other people, and rooted it and installed the android market. Got the apps I wanted, then used ota rootkeeper to unroot so I could watch Amazons videos. Tried to purchase Maxim, but it says I need the latest software, which I have, before I can download it. Anyone else having problems?
    12-25-2011 05:42 PM
  2. brendonlee's Avatar
    I also have this problem with popular mechanics magazine. Website says 6.2.1 is the latest version and that's what it says is installed...
    Not rooted yet, so that's not the issue.
    12-25-2011 07:44 PM
  3. c3poman's Avatar
    I even unrooted and installed 6.2.1 with my computer and it still doesn't work. Dammit, I want to see some maxim! Lol
    12-25-2011 08:22 PM
  4. c3poman's Avatar
    Anyone else having this problem?
    12-26-2011 12:17 PM
  5. brendonlee's Avatar
    I fixed my issue by putting the full 6.2.1 update in the kindleupdates folder and manually reinstalling the update. I was then able to access all of the magazines I couldn't before. I'm guessing just an issue with the incremental update. Maybe.

    Sent from my SGH-I777 using Tapatalk
    12-26-2011 08:39 PM
  6. itslikeimsayin's Avatar
    Last night as I was browsing the Newsstand on the Kindle Fire itself, a few magazines including Golf World gave me that "update needed" message, even though I was already on 6.2.1. So today I subscribed to Golf World via the Newsstand web page on a computer, and then when I started up my Kindle Fire it started downloading no problem.
    12-26-2011 10:37 PM
LINK TO POST COPIED TO CLIPBOARD